summaryrefslogtreecommitdiffstats
path: root/target/linux/omap24xx/base-files
diff options
context:
space:
mode:
authormb <mb@3c298f89-4303-0410-b956-a3cf2f4a3e73>2011-03-06 10:40:04 +0000
committermb <mb@3c298f89-4303-0410-b956-a3cf2f4a3e73>2011-03-06 10:40:04 +0000
commit72bff406730ef56e6ac1021ef4f1615f77f07441 (patch)
tree59df16784f415118235d0e5a624b869431b80352 /target/linux/omap24xx/base-files
parentb0dc10d3a2a23c1d6dc1b54d4ebd4304071d9fe7 (diff)
omap24xx: Start watchdog with RT priority
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@25882 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'target/linux/omap24xx/base-files')
-rwxr-xr-xtarget/linux/omap24xx/base-files/etc/init.d/watchdog12
1 files changed, 7 insertions, 5 deletions
diff --git a/target/linux/omap24xx/base-files/etc/init.d/watchdog b/target/linux/omap24xx/base-files/etc/init.d/watchdog
index fa5dc4365..d1ad1a175 100755
--- a/target/linux/omap24xx/base-files/etc/init.d/watchdog
+++ b/target/linux/omap24xx/base-files/etc/init.d/watchdog
@@ -1,13 +1,15 @@
#!/bin/sh /etc/rc.common
# Copyright (C) 2008-2010 OpenWrt.org
-START=97
+START=25
+
start() {
- if ! [ -c /dev/watchdog -a -x /sbin/watchdog ]; then
+ [ -c /dev/watchdog -a -x /sbin/watchdog ] || {
echo "WARNING: Watchdog not available. System will reboot soon!"
- else
- /sbin/watchdog -T 63 -t 53 /dev/watchdog
- fi
+ return 1
+ }
+ /sbin/watchdog -T 60 -t 50 /dev/watchdog
+ [ -x /usr/bin/schedtool ] && /usr/bin/schedtool -R -p 60 -n -20 $(pidof watchdog)
}
stop() {